/contract-calls/evmCreate EVM Contract Call
Outcome - Creates a new EVM contract call from a client wallet.
Body Parameters
contractAddressstringrequiredethereum-addressThe destination smart contract address
callDatastringrequiredstringThe encoded call data to execute on the smart contract
walletIdnumberpositiveSource wallet ID (required if clientId and assetId are not provided)
clientIdstringExternal client ID (provided only if walletId is not provided)
assetIdnumberpositiveAsset ID (provided only if walletId is not provided)
idempotencyKeystringstringmax: 100A unique key to prevent duplicate contract calls
Responses
Response attributes
messagestringSuccess message
contractCallobjectCreated contract call details (extends standard transaction entity)
Show child attributes (10)
dollarAmountstringTransaction amount in USD (will be 0 for contract calls)
feesDollarAmountstringTransaction fees in USD
walletIdnumberSource wallet ID
senderAddressstringSender wallet address
receiverAddressstringDestination smart contract address
typestringTransaction type (will be CONTRACT_CALL)
statusstringTransaction status
amountstringTransaction amount (will be 0 for contract calls)
feesstringTransaction fees
assetobjectAsset details
Show child attributes (5)
idnumberAsset ID
namestringAsset name
symbolstringAsset symbol
decimalsnumberAsset decimals
networkobjectNetwork details
Show child attributes (4)
idnumberNetwork ID
namestringNetwork name
typestringNetwork type
categorystringNetwork category (e.g. EVM)
statusnumberHTTP status code
Was this page helpful?